package com.eactive.eai.rms.common.converter;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

import com.eactive.eai.rms.onl.manage.adapter.adaptertype.AdapterTypePropertyUI;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;

@Component
public class StringToListAdapterTypePropertyUIConverter implements Converter<String, List<AdapterTypePropertyUI>> {
	@Autowired
	private ObjectMapper objectMapper;

	@Override
	public List<AdapterTypePropertyUI> convert(String source) {
		try {
			return objectMapper.readValue(source, new TypeReference<List<AdapterTypePropertyUI>>() {
			});
		} catch (JsonProcessingException e) {
			throw new RuntimeException(e);
		}
	}

}
